Subject: [Megaco] use of wilcards

From: Pellegrino Jose Luis <[email-masked]>
Date: Wed, 12 Jan 2005 16:19:55 -0300

Hi, I have some questions about the use of wildcards. The examples shown
below (which are taken from real interworking scenarios), are related with
some questions sended by Aliza this morning.
 
Suppose the MG sends a Service Change to MGC in order to be registered
(method restart). After that, all terminations are in the null context.
 
Suppose after that, the MGC sends to MG an Audit Value with ContextId=All,
and a specific TerminationId like it is shown below.
 
            !/1 [10.10.40.11]:20038 T=6250{C=*{AV=TDM0/PCM02/2{AT{M}}}}
 
My question is: Is MGC right? I suppose no.
 
Although RFC 3525 allows the combination "all -specific" (RFC 3015 didn´t),
in this particular example, all terminations are in null context, which is
not included in contextId "All" (RFC 3525 page 56) 
 
In case the message shown above is wrong, is it right a replay like it is
shown below?
 
            !/1 [10.10.11.11]:2944
P=6250{C=*{AV=TDM0/PCM02/2{ER=500{"Internal software failure in the MG"}}}}
 
Or another error code must be used, like ER=435 which seem to be more
suitable like the case shown by Aliza?
 
What action must take place in MGC after receiving de replay (ER=435)?  Must
the MGC ignore it and allowe MG to be registered?
 
And finally suppose after ServiceChange, The MGC sends to MG a Substract
(all-all) without sending before the corresponding Add message. Is it right?
Again, I suppose no, but it's the behavior we have observed.
 
!/1 [10.10.40.11]:20038 T=6251{C=*{S=*}}
 
Best regards
            José
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Thu, 13 Jan 2005 09:11:09 +1100

Hello Jose,

Please see my answers below.

Regards, Christian

Pellegrino Jose Luis wrote:

> below (which are taken from real interworking scenarios), are related 
> with some questions sended by Aliza this morning.
> 
>  
> 
> Suppose after that, the MGC sends to MG an Audit Value with 
> ContextId=All, and a specific TerminationId like it is shown below.
> 
>  
> 

[CHG] This would be a very strange thing for the MGC to do. The MGC should know 
that only the NULL context is being used especially if it hasn't issued any ADD 
commands after the service change. It really should use C=NULL.
> 
>  
> 
> Although RFC 3525 allows the combination "all -specific" (RFC 3015 
> didn´t), in this particular example, all terminations are in null 
> context, which is not included in contextId "All" (RFC 3525 page 56)

[CHG] The revised H.248.1v1 (03/2002) with all the corrections does mention the 
NULL exception. People should use this if implementing v1.
> 
>  
> 
> In case the message shown above is wrong, is it right a replay like it 
> is shown below?
> 
>  
> 
>             !/1 [10.10.11.11]:2944 

[CHG] The explanation of 500 is "A command could not be executed due to a 
software failure within the MG." So if the reception of the command causes a 
"software failure" in the MG then this is an OK response. Basically this is an 
admission that the MG designers stuffed up.

Error code 430 or 435 would be more appropriate if the MG has processed the 
command successuly but the termination is not where its meant to be or doesn't 
exist.

> 
>  
> 
> What action must take place in MGC after receiving de replay (ER=435)? 
>  Must the MGC ignore it and allowe MG to be registered?

[CHG] The MG is registered already through the ServiceChange command. The 
Auditvalue command has nothing to do with registration.

> (all-all) without sending before the corresponding Add message. Is it 
> right? Again, I suppose no, but it's the behavior we have observed.

[CHG] I assume you are talking about the restart case again where everything is 
in NULL. Its not illegal but again this is very strange behaviour. Doing 
Subtract ALL ALL is dubious at the best of times.

> ------------------------------------------------------------------------
>